<?php
	require ("page.inc");
	require ("photo2.php");
	require ("config.php");

	if ($ref == "") $ref = $_GET['ref'];
	if ($ref == "") $ref = ".";
	if ($xdb == "") $xdb = $_GET['xdb'];
	if ($xdb == "") $xdb = $default_xdb;

	$p2a = new Photo2();
	$p2a->photo2_base  = $base;
	$p2a->photo2_ref   = $ref;
	$p2a->photo2_local = $photo2_local;
	$p2a->init($xdb);

	$photopage = new PhotoPage();
	$photopage->SetTitle("Фотографии: $p2a->album");

	$photopage->Display1();

//-----------------------------------------------------------------

$step = $_GET['col'];
if ($step == "") {
    $step = 4;
} else if ($step > 10) {
    $step = 4;
} else if ($step < 1) {
    $step = 1;
}

$root = $p2a->get_root();

$albums = $root->get_elements_by_tagname("album");
$flag=0;
$num=count($albums);

for ($i = 0; $i < $num; $i++)
{
	$node = $albums[$i];
	$href=$node->get_attribute("href");
	if ($href == "")
		continue;
	if ($flag == 0) {
		echo "<div class='album-index' align='right'>\n";
		echo "Другие фотографии:<br>\n";
		$flag = 1;
	}
	$album = $node->get_attribute("name");
	$base  = $node->get_attribute("base");
	$owner = $node->get_attribute("owner");
	echo "<a href='$ref/$href'>$album</a><br/>\n"; 
}
if ($flag == 1)
	echo "</div>\n";


$node_array = $root->get_elements_by_tagname("photo");
$num=count($node_array);

if ($num == 0) {
	$photopage->Display2();
	exit;
}

$a_comment = $root->get_elements_by_tagname("preface");
$a_count=count($a_comment);
if ($a_count > 0) {
	echo "<div class='preface'>";
	#echo "$a_count";
	echo $a_comment[0]->get_content();
	echo "</div>\n";
}

echo "<table class='album'>\n";
for ($i = 0; $i + $step < $num;)
{
	echo "<tr>";
	for ($j = 0; $j < $step; $j++, $i++) {
		$p2a->print_node($node_array[$i]);
	}
		
	echo "</tr>";
}

echo "<tr>";
for (; $i < $num; $i++) {
	$p2a->print_node($node_array[$i]);
}

echo "</tr>";
echo "</table>";



//-------------------------------------------------------------------
	$photopage->Display2();
?>
