<?php

class Photo2 {
	var $tag = "default";
	var $col = 4;
	var $base = ".";
	var $owner = ".";
	var $album = "unknown";
	var $photo2_base  = ".";
	var $photo2_ref   = ".";
	var $photo2_local;
	var $xdb      = "p2xdb.xml";
	var $xdb_dom  = 0;
	var $xdb_root = 0;

	function set_vars($node) 
	{
		$this->album = $node->get_attribute("name");
		$this->base  = $node->get_attribute("base");
		$this->owner = $node->get_attribute("owner");
		$this->tag   = $node->get_attribute("tag");
	}

	function print_node($node)
	{
		$parent=$node->parent_node();
		$tag=$parent->get_attribute("tag");
		$name=$node->get_attribute("name");
		$preview="$name.thumb.jpeg";
		if ($this->photo2_local != "yes")
			$base="$this->owner/$this->base/";
		echo "
<td class='album'>
    <a href='$this->photo2_base/photo.php?xid=$name&col=$this->col&xdb=$this->xdb&ref=$this->photo2_ref'>
    <img border='0' src='$base$preview' alt='$name'/></a>
</td>\n";
	}

	function print_verbose($node)
	{
		$name=$node->get_attribute("name");
		$author=$node->get_attribute("author");
		$comment=$node->get_attribute("comment");
		$small="$name.small.jpeg";
		$large="$name.jpeg";
		$related = $node->get_elements_by_tagname("related");
		$r_num = count($related);
		$empty_td="";
		if ($r_num != 0)
			$empty_td="<td/>";
		if ($this->photo2_local != "yes")
			$base="$this->owner/$this->base/";
		if ($author != "")
			$author="<tr><td align='center'>Снято: <font class='author'>$author</font></td>$empty_td</tr>\n";
		if ($comment != "")
			$comment = "<div class='comment'>$comment</div>";

		echo "
		<table width=100% border='1'>
		<tr><td align='center'>
			<a href='$base$large'>Лучшее качество</a>
		</td>$empty_td</tr>
		<tr><td align='center'>
			<img src='$base$small'/>$comment
		</td>";
		if ($r_num != 0) echo "<td align='center' valign='top'>";
		for ($i = 0; $i < $r_num; $i++) {
			$r_base=$related[$i]->get_attribute("base");
			$r_name=$related[$i]->get_attribute("name");
			$r_comment=$related[$i]->get_attribute("comment");
echo "<a href='$this->photo2_base/photo.php?xid=$r_name&col=$this->col&xdb=$base$r_base/p2xdb.xml&ref=$this->photo2_ref'>
			<img border='0' src='$base$r_base/$r_name.thumb.jpeg'/></a>";
			#echo "<a href=><img src='$base$r_base/$r_name.thumb.jpeg'/></a>";
#http://void.lz/photo/photo.php?xid=hib-05-03-zak-2868&col=4&xdb=psha/hib-05-03/p2xdb.xml&ref=/photo/psha/hib-05-03
			if ($r_comment != "")
				echo "<div class='comment'>$r_comment</div>";
			echo "<hr/>";
		}
		if ($r_num != 0) echo "</td>";
		echo "</tr>$author</table>";
	}

	function get_root()
	{
		return $this->xdb_root;
	}

	function init( $xdb )
	{
		if (substr($xdb, strlen($xdb)-1, 1) == "/")
			$this->xdb = "$xdb$this->xdb";
		else if ($xdb != "")
			$this->xdb = $xdb;
		if ($this->photo2_local != "yes")
			$this->xdb_dom = domxml_open_file($this->xdb);
		else
			$this->xdb_dom = domxml_open_file("p2xdb.xml");
		if (!$this->xdb_dom) {
			echo "Unable to open XML database at $this->xdb\n";
			exit;
		}
		$this->xdb_root = $this->xdb_dom->document_element();

		$albums = $this->xdb_root->get_elements_by_tagname("album");
		if (count($albums) < 1) {
			echo "No albums defined in $this->xdb...\n";
			exit;
		} 
		$i = 0;
		for(; $i < count($albums); $i++) 
			if ($albums[$i]->get_attribute("base") != "") 
				break;
		if ($i >= count($albums))
			return;
		$this->set_vars($albums[$i]);
		if (count($albums) != 1)
			$this->album = $this->xdb_root->get_attribute("name");
	}
}
?>
